<?php get_header(); ?>

<?php
/**
 * Jenny Layout Options
 */
$jenny_author_bio    =   get_theme_mod( 'jenny_author_bio' );
$jenny_site_layout    =   get_theme_mod( 'jenny_layout_options_setting', 'right-sidebar' );
$jenny_layout_class   =   'col-lg-12 col-md-12 col-sm-12';

if( $jenny_site_layout === 'right-sidebar' && is_active_sidebar( 'sidebar-primary' ) ) :
	$jenny_layout_class = 'col-lg-8 col-md-8 col-sm-12';
elseif( $jenny_site_layout === 'left-sidebar' && is_active_sidebar( 'sidebar-primary' ) ) :
	$jenny_layout_class = 'col-lg-8 col-md-8 col-sm-12 order-md-2';
elseif( $jenny_site_layout === 'no-sidebar' || !is_active_sidebar( 'sidebar-primary' ) ) :
	$jenny_layout_class = 'col-lg-12 col-md-12 col-sm-12';
endif;
?>

	<div id="primary" class="content-area row">
		<main id="main" class="site-main <?php echo esc_attr($jenny_layout_class); ?>" role="main">

			<?php
			// Start the loop
			while( have_posts() ) : the_post();

                // Include the single post content template.
                get_template_part( 'template-parts/content', 'single' );

                if( is_singular( 'attachment' ) ) {
	                // Parent post navigation.
                    the_post_navigation( array(
                            'prev_text'     =>  _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'jenny' ),
                    ) );
                } elseif( is_singular( 'post' ) ) {
	                // Previous/next post navigation.
                    the_post_navigation( array(
                            'next_text'     =>  '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'jenny' ) . '</span>' . '<span class="screen-reader-text">' . __( 'Next post:', 'jenny' ) . '</span> ' . '<span class="post-title">%title</span>' ,
                            'prev_text'     =>  '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'jenny' ) . '</span>' . '<span class="screen-reader-text">' . __( 'Previous post:', 'jenny' ) . '</span> ' . '<span class="post-title">%title</span>' ,
                    ) );
                }

			
                // If comments are open or we have at least one comment, load up the comment template.
                if( comments_open() || get_comments_number() ) {
                    comments_template();
                }

            // End the loop
			endwhile;

			?>

		</main><!-- .site-main -->
		<?php get_sidebar(); ?>
	</div><!-- content-area -->

<?php get_footer(); ?>